Discussion on Sera - OnePage Multi-Purpose Jekyll Theme

Discussion on Sera - OnePage Multi-Purpose Jekyll Theme

By
Cart 189 sales
Well Documented Envato Checkmark

ohkimur supports this item

Supported

This author's response time can be up to 5 business days.

23 comments found.

Hi Gleesik, amazing theme ! Is Sera fully compatible with Jekyll 4.x ?

Hi @KoeSystems, currently I work on a fully cli development workflow that will be used with the new Sera, you can check my github profile too see the progress on that. Also there still are many parts of the theme that have to be updated. Unfortunately I can not give you an exact ETA, but I think a good approximation would be a few months. I don’t want to rush with this new update because it’s a completely new redesign and I want to get it right.

Hi Gleesik, that sounds like a good reason to take your time ;)

In the meantime… I was wondering if the current template is compatible with the last 3.x version ( 3.8.7 ) ... if that is the case I could go now and buy the template and get the future update later, once you finish.

Hi again @koeSystems!

I tried to see if everything works fine with the latest version of jekyll. It seems that from this perspective there are no problems. However I encountered some difficulties because gulp dropped the support for version 3, so many things break in the workflow. Though I already have a version of the workflow written with version 4 in mind already. With some small addition we could port the gulpfile.js from my new workflow to work with this. :)

NOTE: If you are interested I can put some effort into it and make a small support update for the current version of the theme to support gulp v4 (making v3 work as it should it’s a pain I would say). It that’s the case please let me know.

Nice to meet you, Gleesik. That’s a great theme. I wanted to use it with jekyll, and I read in the comment that ” NOTE: If you are interested I can put some effort into it and make a small support update for the current version of the theme to support gulp v4 (making v3 work as it should it’s a pain I would say). It that’s the case please let me know.”

Is it possible to receive this support after purchasing the item?

Hi @chirimen,

Considering the fact that many people are interested in the current version of Sera, I think it would be nice to make this patch an official update until the next version will be available. This way anyone that bought the theme will receive this patch.

Thanks, I bought it!

Hi @gleesik, sorry for the late late response, I set a calendar notification for 2 months.

I’m still very interested in a Sera theme for Jekyll 3.x .

From your last message, do you mean the patch is already included in the theme ? If that is the case I will buy it now.

Hi, @KoeSystems,

The current version of Sera supports Jekyll 3.x and Gulp 3. If you need Jekyll 4.x and Gulp 4 you need to know that a full redesign and implementation is on track. However, at the moment I can’t give you an exact estimation for the release date.

by
by
by
by
by
by